Skip to content

Restore payers

POST/api/v1/workspaces/{workspaceId}/clients/{clientId}/restore

Operation ID: clients.restore · Access: PAT with write scope and authorized workspace where applicable · Effect: write.

Read the payers workflow before this operation.

Name In Required Type / allowed values
workspaceId path Yes string
clientId path Yes string
idempotency-key header No string
HTTP Content Schema
200 application/json Client
400 application/json ApiError
401 application/json ApiError
403 application/json ApiError
404 application/json ApiError
409 application/json ApiError
428 application/json ApiError
500 application/json ApiError

Use error.code, error.issues, and requestId for JSON errors. Error and recovery guide.

Set the connection variables from the quickstart. Set each path variable to an authorized identifier or an allowed parameter value from the table above.

Terminal window
curl --fail-with-body --request POST \
"$RIPSCLOUD_BASE_URL/api/v1/workspaces/$WORKSPACE_ID/clients/$CLIENT_ID/restore" \
--header "Authorization: Bearer $RIPSCLOUD_TOKEN" \
--header 'Accept: application/json'